<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>de.hft.stuttgart</groupId>
	<artifactId>CityDoctorParent</artifactId>
	<version>3.7.0-SNAPSHOT</version>
	<packaging>pom</packaging>
	<name>CityDoctorParent</name>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<revision>3.7.0-SNAPSHOT</revision>
	</properties>

	<build>
		<pluginManagement>
			<plugins>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-surefire-plugin</artifactId>
					<version>2.22.0</version>
					<configuration>
						<testFailureIgnore>false</testFailureIgnore>
					</configuration>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>de.hft.stuttgart</groupId>
				<artifactId>CityDoctorModel</artifactId>
				<version>${revision}</version>
			</dependency>
			<dependency>
				<groupId>de.hft.stuttgart</groupId>
				<artifactId>CityDoctorValidation</artifactId>
				<version>${revision}</version>
			</dependency>
			<dependency>
				<groupId>de.hft.stuttgart</groupId>
				<artifactId>CityDoctorCheckResult</artifactId>
				<version>${revision}</version>
			</dependency>
			<!-- https://mvnrepository.com/artifact/net.sf.saxon/Saxon-HE -->
			<dependency>
				<groupId>net.sf.saxon</groupId>
				<artifactId>Saxon-HE</artifactId>
				<version>9.9.1-6</version>
			</dependency>
			<!-- https://mvnrepository.com/artifact/org.hibernate/hibernate-core -->
			<dependency>
				<groupId>org.hibernate</groupId>
				<artifactId>hibernate-core</artifactId>
				<version>5.4.3.Final</version>
			</dependency>
			<!-- https://mvnrepository.com/artifact/org.citygml4j/citygml4j -->
			<dependency>
				<groupId>org.citygml4j</groupId>
				<artifactId>citygml4j</artifactId>
				<version>2.10.2</version>
			</dependency>
			<!-- https://mvnrepository.com/artifact/org.citygml4j.ade/energy-ade-citygml4j -->
			<dependency>
				<groupId>org.citygml4j.ade</groupId>
				<artifactId>energy-ade-citygml4j</artifactId>
				<version>1.0.0</version>
			</dependency>
			<!-- https://mvnrepository.com/artifact/org.apache.xmlgraphics/fop -->
			<dependency>
				<groupId>org.apache.xmlgraphics</groupId>
				<artifactId>fop</artifactId>
				<version>2.2</version>
			</dependency>
			<!-- https://mvnrepository.com/artifact/org.jdom/jdom2 -->
			<dependency>
				<groupId>org.jdom</groupId>
				<artifactId>jdom2</artifactId>
				<version>2.0.6</version>
			</dependency>
			<!-- https://mvnrepository.com/artifact/junit/junit -->
			<dependency>
				<groupId>junit</groupId>
				<artifactId>junit</artifactId>
				<version>4.12</version>
				<scope>test</scope>
			</dependency>
			<!-- https://mvnrepository.com/artifact/org.jogamp.gluegen/gluegen-rt-main -->
			<dependency>
				<groupId>org.jogamp.gluegen</groupId>
				<artifactId>gluegen-rt-main</artifactId>
				<version>2.3.2</version>
			</dependency>
			<!-- https://mvnrepository.com/artifact/gov.nist.math/jama -->
			<dependency>
				<groupId>gov.nist.math</groupId>
				<artifactId>jama</artifactId>
				<version>1.0.3</version>
			</dependency>
			<!-- https://mvnrepository.com/artifact/org.jogamp.jogl/jogl-all-main -->
			<dependency>
				<groupId>org.jogamp.jogl</groupId>
				<artifactId>jogl-all-main</artifactId>
				<version>2.3.2</version>
			</dependency>
			<dependency>
				<groupId>org.apache.logging.log4j</groupId>
				<artifactId>log4j-api</artifactId>
				<version>2.11.2</version>
			</dependency>
			<dependency>
				<groupId>org.apache.logging.log4j</groupId>
				<artifactId>log4j-core</artifactId>
				<version>2.11.2</version>
			</dependency>
			<dependency>
				<groupId>org.yaml</groupId>
				<artifactId>snakeyaml</artifactId>
				<version>1.24</version>
			</dependency>
			<!-- https://mvnrepository.com/artifact/org.apache.logging.log4j/log4j-slf4j18-impl -->
			<dependency>
				<groupId>org.apache.logging.log4j</groupId>
				<artifactId>log4j-slf4j18-impl</artifactId>
				<version>2.11.2</version>
			</dependency>
			<!-- https://mvnrepository.com/artifact/org.osgeo/proj4j -->
			<dependency>
				<groupId>org.osgeo</groupId>
				<artifactId>proj4j</artifactId>
				<version>0.1.0</version>
			</dependency>
			<dependency>
				<groupId>org.hibernate</groupId>
				<artifactId>hibernate-search-orm</artifactId>
				<version>5.11.3.Final</version>
			</dependency>
			<dependency>
				<groupId>org.locationtech.jts</groupId>
				<artifactId>jts-core</artifactId>
				<version>1.16.1</version>
			</dependency>
			<!-- https://mvnrepository.com/artifact/com.sun.xml.bind/jaxb-core -->
			<dependency>
				<groupId>com.sun.xml.bind</groupId>
				<artifactId>jaxb-core</artifactId>
				<version>2.3.0.1</version>
			</dependency>
		</dependencies>
	</dependencyManagement>
	<modules>
		<module>CityDoctorModel</module>
		<module>CityDoctorValidation</module>
		<module>CityDoctorEdge</module>
		<module>CityDoctorCheckResult</module>
	</modules>
</project>